CURLMOPT_TIMERDATA(3)

NAME
CURLMOPT_TIMERDATA - custom pointer to pass to timer callback

SYNOPSIS
#include <curl/curl.h>

CURLMcode curl_multi_setopt(CURLM *handle, CURLMOPT_TIMERDATA, void *pointer);

DESCRIPTION
A data pointer to pass to the timer callback set with the CURLMOPT_TIMERFUNCTION(3) option.

This pointer will not be touched by libcurl but will only be passed in to the timer callbacks's userp argument.

DEFAULT
NULL

PROTOCOLS
All

EXAMPLE
TODO

AVAILABILITY
Added in 7.16.0

RETURN VALUE
Returns CURLM_OK if the option is supported, and CURLM_UNKNOWN_OPTION if not.

SEE ALSO
CURLMOPT_TIMERFUNCTION(3), CURLMOPT_SOCKETFUNCTION(3),